#!/bin/bash
. /opt/dspg/v1.2.6.1-rc2/environment-setup-armv5te-dspg-linux-uclibceabi

if [ ! -f u-boot.bin ]; then
	ln -s ../uboot/u-boot.bin u-boot.bin
fi

PRODUCT=$1
export PROV_PATH=`pwd`"/../../../dvf9_gxp/system/provision/provision.h"

cp Makefile.${PRODUCT} Makefile

echo "Building bootastic for ${PRODUCT}"

make clean
make

if [ "${PRODUCT}" = "gxp" ]; then
    echo "Copying bootloader.img to image build:"
    cp -v bootloader.img ../../../dvf9_gxp_image_build/gxp-build.cvscontrol/gxp_image_build/bin/boot.gxp16xx.dev
    if [ -f ../../../dvf9_gxp_image_build/gxp-build/gxp_image_build/bin/boot.gxp16xx.dev ]; then
        cp -v bootloader.img ../../../dvf9_gxp_image_build/gxp-build/gxp_image_build/bin/boot.gxp16xx.dev
    fi
fi

