#ifndef __CMU_H
#define __CMU_H

void cmu_setup(void);
unsigned long cmu_get_sysclk(void);
unsigned long cmu_get_pclk(void);

void reset_release(unsigned int block);
void clk_enable(unsigned int block);

#define BLOCK_UART1      ( 0 +  6)
#define BLOCK_UART2      ( 0 +  7)
#define BLOCK_MCU_ETM    ( 0 + 27)
#define BLOCK_MPMC       (32 + 10)
#define BLOCK_DRAMCTL    (32 + 12)
#define CLOCK_PMU        ( 0 + 20)
#define CLOCK_APU        ( 0 + 26)
#define RESET_PMU        (32 +  2)

#endif
