/*
 * (C) Copyright 2013
 * DSPG Technologies GmbH
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#ifndef __COMMAND_DVF9A_H__
#define __COMMAND_DVF9A_H__

/* Memory related command and function */
unsigned char cmdDaifWrite(unsigned char argc, char * argv[]);
unsigned char cmdDaifRead(unsigned char argc, char * argv[]);

#define COMMAND_DVF9A \
	{"daifwrite",	cmdDaifWrite,		"write to daif"}, \
	{"daifread",	cmdDaifRead,		"read from daif"}, \

#endif /* __COMMAND_DVF9A_H__ */

