#include "common.h"
#include "hardware.h"
#include "dvf9a.h"

void set_dpu_dcdc_regulator_level(int mv)
{
	int val = (mv - 1070)/10;

	if ((val >= 0) && (val <= 31))
		daif_write(DAIF_DPUCTL1, val);
}

void set_3v_regulator_to_3_3v(void)
{
	daif_write(DAIF_BASECTRL, 0x02);
}

void set_vref_to_vcca_div_by_2(void)
{
	int val;

	val = daif_read(DAIF_AFECFG1);
	val |= 7 << 4;
	daif_write(DAIF_AFECFG1, val);
}


