#!/bin/bash

if [ -z "$1" ]
then echo "Usage: $0 <inputfile>"; exit
fi

mhz=`echo "$1" | sed -ne 's/.*_\([0-9]*\)mhz.*/\1000000/ip'`

echo '#include "ddrconf.h"'
echo
echo 'uint32_t ddrconf_speed(void) { return '$mhz'; }'
echo
echo 'uint32_t denali_setup[129] = {'
sed -n -e 's/#define.*DENALI_CTL_0\([0-9]*\)_DATA 0x\([0-9a-fA-F]*\).*/[\1]\t= 0x\2,/p' $1
sed -n -e 's/#define.*DENALI_CTL_\([1-9][0-9]*\)_DATA 0x\([0-9a-fA-F]*\).*/[\1]\t= 0x\2,/p' $1
echo '};'
