#!/bin/bash

if [ -z "$1" ]
then echo "Usage: $0 <inputfile>"; exit
fi

mhz=`echo "$1" | sed -ne 's/.*_\([0-9]*\)mhz.*/\1/ip'`

echo '; '$mhz' MHz denali_setup'
sed -n -e 's/#define.*DENALI_CTL_\([0-9]*\)_DATA 0x\([0-9a-fA-F]*\).*/D.S A:(0x00100000+(\1.*4.)) %LE %LONG 0x\2/p' $1
