#ifndef __ASM_MACH_RESET_H
#define __ASM_MACH_RESET_H

#define RESET_CORESIGHT			(30 + 32)
#define RESET_USB20_PHY_POR		(25 + 32)
#define RESET_USB20_MAC_PHYIF	(23 + 32)
#define RESET_USB20_MAC_RST		(22 + 32)
#define RESET_CCU0				(20 + 32)
#define RESET_CSS_GDMAC			(15 + 32)
#define RESET_CSS_TIMERS		(13 + 32)
#define RESET_DRAM_CTL			(12 + 32)
#define RESET_MPMC_CLK			(10 + 32)
#define RESET_USB11				(9 + 32)
#define RESET_SLVMII			(8 + 32)
#define RESET_SPI2				(7 + 32)
#define RESET_SPI1				(6 + 32)
#define RESET_I2C2				(5 + 32)
#define RESET_I2C1				(4 + 32)
#define RESET_COM_RFAPU			(3 + 32)
#define RESET_PMU				(2 + 32)
#define RESET_TIMER4			(1 + 32)
#define RESET_TIMER3			(1 + 32)
#define RESET_TIMER2			(0 + 32)
#define RESET_TIMER1			(0 + 32)

#define RESET_CSS_ETM			31
#define RESET_CSS_BMP			30
#define RESET_CSS_ADPCM			29
#define RESET_CSS_DRT			28
#define RESET_MCU_ETM			27
#define RESET_GPU				24
#define RESET_CSS				23
#define RESET_SEC				22
#define RESET_LCDC				21
#define RESET_CIU				19
#define RESET_CSS_DCLASS		18
#define RESET_NFC				14
#define RESET_SDC				13
#define RESET_QSPI				11
#define RESET_TDM2				10
#define RESET_TDM1				9
#define RESET_UART2				7
#define RESET_UART1				6
#define RESET_SECURE			4
#define RESET_ETHMAC			3
#define RESET_RTC				2
#define RESET_CSS_ARM9			1
#define RESET_GDMAC				0

void reset_set(int id);
void reset_release(int id);

#endif
