#!/bin/bash
source /opt/dspg/v1.2.6.1-rc2/environment-setup-armv5te-dspg-linux-uclibceabi
export CROSS_COMPILE=arm-dspg-linux-uclibceabi-

check_status()
{
	if [ "$?" != "0" ]; then
		exit 1
	fi
}

make distclean

if [ "${1}" = "clean" ]; then
	exit 0
fi
cp defconfig .config
if [ "${1}" = "menuconfig" ]; then
	make menuconfig
	exit 0
fi

make 

check_status
#make PREFIX=$DEST_DIR install
#echo Installing uClibc to "/opt/emlix/pnx8181/sysroot"...
#sudo make PREFIX=/opt/emlix/pnx8181/sysroot install
#echo Installing uClibc to "/opt/sysroot"...
#sudo make PREFIX=/opt/sysroot install

