#!/bin/bash

CORES=$((2*$(cat /proc/cpuinfo | grep -c processor)))

source /opt/dspg/v1.2.6-rc2/environment-setup-armv5te-dspg-linux-gnueabi

# PATH=/opt/emlix/pnx8181/bin/:$PATH

DHCP6C_CFLAGS=""
DHCP6C_CONFIG=""

CC=arm-dspg-linux-uclibceabi-gcc
STRIP=arm-dspg-linux-uclibceabi-strip
TARGET=arm-dspg-linux-uclibcabi
HOST=i386-pc-linux-gnu
BUILD=i686-pc-linux-gnu

# Compile flags
DHCP6C_CFLAGS=""

# Configuration flags
DHCP6C_CONFIG="${DHCP6C_CONFIG}--host=${HOST} "
DHCP6C_CONFIG="${DHCP6C_CONFIG}--build=${BUILD} "
DHCP6C_CONFIG="${DHCP6C_CONFIG}--target=${TARGET} "
#DHCP6C_CONFIG="${DHCP6C_CONFIG}--prefix=/usr "
DHCP6C_CONFIG="${DHCP6C_CONFIG}--with-localdbdir=/etc "
DHCP6C_CONFIG="${DHCP6C_CONFIG}--sysconfdir=/etc "


if [ $# -gt 0 ] && [ "${1}" = "-clean" ]; then
	make distclean
	exit
fi

if [ $# -gt 0 ] && [ "${1}" = "-configure" ]; then
#	ac_cv_func_setpgrp_void=yes CC=${CC} ./configure ${DHCP6C_CONFIG} --includedir=/usr/local/GRANDSTREAM/SW_ENGR/pnx8181/sys_libs_ht/wide-dhcpv6-20080615/missing
	ac_cv_func_setpgrp_void=yes CC=${CC} ./configure ${DHCP6C_CONFIG} --includedir=/home/byan/workspace/pnx8181/tools/wide-dhcpv6/missing
	exit
fi

make #-j$CORES
$STRIP dhcp6c
