#define F1(x, y, z) (z ^ (x & (y ^ z)))
#define F2(x, y, z) F1(z, x, y)
#define F3(x, y, z) (x ^ y ^ z)
#define F4(x, y, z) (y ^ (x | ~z))
#define MD5STEP(f, w, x, y, z, data, s) ( w += f(x, y, z) + data,  w = w<<s | w>>(32-s),  w += x )

typedef struct MD5Context
{
	unsigned int buf[4];
	unsigned int bits[2];
	unsigned char in[64];
}MD5Context;

void MD5calc(unsigned char *output, unsigned char *input,unsigned int inlen);
void byteReverse(unsigned char *buf, unsigned longs);
void MD5Init(struct MD5Context *ctx);
void MD5Update(struct MD5Context *ctx, unsigned char const *buf, unsigned len);
void MD5Final(unsigned char digest[16], struct MD5Context *ctx);
void MD5Transform(unsigned int buf[4], unsigned int const in[16]);
