#ifndef __SYSCFG_H
#define __SYSCFG_H

#define PAD_LCDGP0	( 0 +  0)
#define PAD_LCDGP1	( 0 +  1)
#define PAD_LCDGP2	( 0 +  2)
#define PAD_LCDGP3	( 0 +  3)
#define PAD_LCDGP4	( 0 +  4)
#define PAD_LCDGP5	( 0 +  5)
#define PAD_LCDGP6	( 0 +  6)
#define PAD_LCDGP7	( 0 +  7)
#define PAD_LCDGP8	( 0 +  8)
#define PAD_LCDC	( 0 + 10)
#define PAD_SLVMII	( 0 + 11)
#define PAD_BMP_SYNC	( 0 + 12)
#define PAD_EMACA	( 0 + 14)
#define PAD_SDMMC	( 0 + 15)
#define PAD_I2C2	( 0 + 16)
#define PAD_I2C1	( 0 + 17)
#define PAD_SPI2	( 0 + 19)
#define PAD_SPI1	( 0 + 20)
#define PAD_TDM2	( 0 + 22)
#define PAD_TDM1	( 0 + 23)
#define PAD_UART2_LOC	( 0 + 24)
#define PAD_UART2	( 0 + 25)
#define PAD_UART1	( 0 + 26)
#define PAD_FC		( 0 + 27)
#define PAD_DIGMIC	( 0 + 28)
#define PAD_PMU		( 0 + 29)
#define PAD_RFAPU	( 0 + 31)
#define PAD_REF_CLK	(32 +  1)
#define PAD_QSPI	(32 +  2)
#define PAD_CIU		(32 +  3)
#define PAD_CLK_OUT	(32 +  4)
#define PAD_USB_VBUS	(32 +  5)
#define PAD_BMP		(32 +  6)
#define PAD_DCLASS	(32 +  7)

void pad_enable(unsigned int pad);
void syscfg_set_romws(unsigned int waitstates);
void syscfg_memboot_pad_enable(void);
void syscfg_sdram_slew_rate(int rate);
int  syscfg_get_chip_rev(void);
void syscfg_enable_main_clk_out(void);

#endif
