/*
 * arch/arm/mach-dvf/include/mach/factory.h
 *
 * factory data support
 *
 * (c) 2013 Grandstream Networks, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef __ASM_ARCH_DVF_FACTORY_H
#define __ASM_ARCH_DVF_FACTORY_H

#include <provision.h>

extern struct mtd_info * gxp_mtd;

unsigned int get_pfact(void);
uint16_t fact_para_checksum(GS_FACTORYPARA* fact_para);
GS_FACTORYPARA* fact_para_get(void);
hw_info_t* hw_get_hw_feature(void);
hw_info_t* hw_feature_get(void);

void prov_update_partitions(struct mtd_partition *parts);

#endif /* __ASM_ARCH_DVF_FACTORY_H */
