#!/bin/bash

build_file() {
    ../scripts/dtc/dtc -I dts -O dtb -R 8 -p 0x3000 -o bin/$1.dtb $1.dts
}

build_devtree() {
    for i in `ls *.dts` ; do
        FILE=`echo $i | sed -e 's/\(.*\)\.dts/\1/'`
        build_file $FILE
	done
}

cd devtree
if [ x"$1" == x ]; then
    build_devtree
else
    build_file $1
fi

